Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# spec file for package nodejs-nodejs-npm-package-arg

%global npm_name npm-package-arg


%global enable_tests 1

Name:           nodejs-npm-package-arg
Version:        4.1.0
Release:        alt1_7
Summary:        Parse the things that can be arguments to `npm install`
Url:            https://github.com/npm/npm-package-arg
Source0:        http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:        ISC
BuildArch:	noarch

BuildRequires:  node-devel rpm-build-nodejs
BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(hosted-git-info)
BuildRequires:  npm(semver) >= 4.0.0
%endif
Source44: import.info

%description
Parse the things that can be arguments to `npm install`

%prep
%setup -q -n package
%{nodejs_fixdep} tap
%{nodejs_fixdep} semver

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json npa.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%{nodejs_sitelib}/%{npm_name}

%doc README.md
%doc --no-dereference LICENSE

%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 4.1.0-alt1_7
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 4.1.0-alt0.1.njs.bootstrap
- bootstrap

